package com.huimv.admin.repo.secondary;

import com.huimv.admin.domain.secondary.DaLqda;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface DaLqdaRepository extends JpaRepository<DaLqda, Integer>, JpaSpecificationExecutor<DaLqda> {

    @Query(nativeQuery = true ,value = "select * from da_lqda where zsid like %?1%   limit ?2 , ?3")

    List<DaLqda> findAll(String name, Integer startPage, Integer pageSize);



    @Query(nativeQuery = true ,value = " SELECT  * FROM  da_lqda ORDER BY id DESC  LIMIT 1   ")
    DaLqda  findlast();




    @Query(nativeQuery = true ,value = "SELECT MAX(id) FROM da_zsda ")
    List<Integer> findMax();

}